package cbpm.rtx.utils;

import cbpm.rtx.common.log.LogFactory;
import cbpm.rtx.common.log.LogUtil;
import java.io.File;
import java.io.FileInputStream;
import java.util.Properties;

public class PropertiesUtil {

   private static Properties prop = null;
   private static String CONFIGPATH = "";


   public PropertiesUtil() {
      this.init();
   }

   public PropertiesUtil(Properties prop) {
      prop = prop;
   }

   public PropertiesUtil(String conf) {
      CONFIGPATH = conf;
      this.init(CONFIGPATH);
   }

   public Properties getProp() {
      return prop;
   }

   public void setProp(Properties prop) {
      prop = prop;
   }

   public static PropertiesUtil getInstance(String configpath) {
      return new PropertiesUtil(configpath);
   }

   private void init(String configpath) {
      CONFIGPATH = configpath;
      this.init();
   }

   private void init() {
      LogUtil log = LogFactory.getLog4jUtil(this.getClass());

      try {
         if(CONFIGPATH != null && CONFIGPATH.length() != 0) {
            String e = this.getClass().getResource(CONFIGPATH).getFile();
            System.out.println("files:" + e);
            File file = new File(e);
            FileInputStream in = null;
            in = new FileInputStream(file);
            if(in == null) {
               ;
            }

            if(in == null) {
               ;
            }

            prop = new Properties();
            prop.load(in);
            in.close();
         } else {
            log.error("No configFile");
         }
      } catch (Exception var5) {
         var5.printStackTrace();
      }

   }

   public String getProperty(String propName) {
      return this.getProperty(propName, "");
   }

   public String getProperty(String propName, String defValue) {
      if(prop == null) {
         this.init();
      }

      String s = defValue;

      try {
         s = prop.getProperty(propName);
         if(s == null) {
            s = defValue;
         }
      } catch (Exception var5) {
         var5.printStackTrace();
      }

      return s;
   }

   public static void main(String[] args) {
      PropertiesUtil propUtil = getInstance("/esb_rtx.properties");
   }
}
